export declare const datesCheckedList: import('vue').Ref<string[][]>;
export declare const validWeek: import('vue').Ref<any[]>;
export declare const dates: import('vue').Ref<string[]>;
export default function (): {
    holidayActive: import('vue').Ref<number[]>;
    checkedWeeks: import('vue').Ref<string[]>;
    addDateItem: () => void;
    deleteDateItem: (index: number) => void;
    calcValidWeek: (checked: string[]) => void;
    resetDates: () => void;
    calcDatesGate: () => void;
};
